Last Comment Bug 748684 - GCLI shouldn't require removeCommand before addCommand
: GCLI shouldn't require removeCommand before addCommand
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: Firefox 15
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
:
Mentors:
Depends on:
Blocks: 745773
  Show dependency treegraph
 
Reported: 2012-04-25 01:43 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-05-16 13:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upload 1 (17.87 KB, patch)
2012-05-11 07:16 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-04-25 01:43:16 PDT
Right now GCLI gets cross with you if you call addCommand twice with the same (or maybe updated) command spec. Calling addCommand a second time with a command with a given name should replace the original command cleanly (perhaps with a suitable warning)
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-11 07:16:01 PDT
Created attachment 623134 [details] [diff] [review]
Upload 1

a.k.a https://github.com/campd/gcli/pull/35
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-15 05:09:33 PDT
Try before land:
https://tbpl.mozilla.org/?tree=Try&rev=eba127ab7962

Fx-Team:
https://tbpl.mozilla.org/?tree=Fx-Team&rev=0f08ab4dfcac
Comment 4 Rob Campbell [:rc] (:robcee) 2012-05-16 13:22:05 PDT
https://hg.mozilla.org/mozilla-central/rev/cb193fb4d45a

Note You need to log in before you can comment on or make changes to this bug.